;;; bingo.scm -- Bingo Demo

(require 'xmts)

(define callback			; when button is pressed...
  (let ((done #f))
    (lambda (widget)
      (cond (done (quit 0))
	    (else (xmt:display-message widget "Surprise"
				       xmt:information-message)
		  (xmts:label-set-string widget "go!")
		  (set! done #t))))))

(define (create-toplevel toplevel)	; create main window
  (let* ((alist '((btn . "Button")))
	 (main (xmts:create-query-children toplevel alist)))
    (xmt:register-improved-icons toplevel)
    (xmts:add-activate (main 'btn) callback)))

(xmts:run-app "bingo" create-toplevel)
