;;; C Client Library Supplement

(define (cc:nmsgs stream)   (car  (cc:fetch-stream-info stream)))
(define (cc:nrecent stream) (cadr (cc:fetch-stream-info stream)))

(define (cc:msg-deleted  msginfo) (list-ref msginfo 0))
(define (cc:msg-answered msginfo) (list-ref msginfo 1))
(define (cc:msg-flagged  msginfo) (list-ref msginfo 2))
(define (cc:msg-seen     msginfo) (list-ref msginfo 3))
(define (cc:msg-recent   msginfo) (list-ref msginfo 4))
(define (cc:msg-bytes    msginfo) (list-ref msginfo 5))
(define (cc:msg-lines    msginfo) (list-ref msginfo 6))

;;; XXX - This has to match the C source file definition
(define cc:deleted-flag  0)
(define cc:answered-flag 1)
(define cc:flagged-flag  2)

(define cc:domain-name    0)
(define cc:personal-name  1)

(define cc:login-hook    0)
(define cc:log-hook      1)
(define cc:notify-hook   2)
(define cc:newmsg-hook   3)
