(require 'xmts)

(xmts:run-app "cde-demo"
  (lambda (top)
    (let* ((alist '((spinbox . "sb") (combobox . "cb") (menubutton . "mb")))
	   (main   (xmts:create-query-children top alist))
	   (list   (xmt:name-to-widget (main 'combobox) "*List"))
	   (label  (xmt:name-to-widget (main 'combobox) "Label"))
	   (submenu (xmt:name-to-widget (main 'menubutton) "*submenu_mb"))
	  )
	(xmts:list-set-items-ascii list #("10" "12" "14" "18" "24"))
	(xmts:label-set-string label "10")
	(for-each (lambda (string)
		    (dt:spin-box-add-item (main 'spinbox)
					  (xm:string-create string)
					  -99))
		  '("Honda" "Toyota" "Acura" "Lexus" "Nissan" "Infinity"))
	(for-each (lambda (string)
		    (xt:create-managed-widget string xm:push-button submenu))
		  '("Honda" "Toyota" "Acura" "Lexus" "Nissan" "Infinity"))
	)))