;;;
;;; Debugging Aids
;;; Copyright 1995 by Thomas Kwong
;;;

(define *debug-mode* #t)

(define (debug . data)
  
  (define (display-list L)
    (if (null? L)
	(newline)
	(begin (display " ")
	       (display (car L))
	       (display-list (cdr L)))))
  
  (if *debug-mode*
      (begin (display "DEBUG:")
	     (display-list data))))

;;; My print utility
(define (print . args)
  (if (null? args)
      (newline)
      (begin (display (car args))
	     (apply print (cdr args)))))

