;;; Display a help message in a text widget whenever the mouse
;;; enter a particular widget.

(define (xmts:make-focus-help text-widget default-string)
  (define (set-text! s) (xm:text-set-string text-widget s))
  (set-text! default-string)
  (lambda (interesting-widget msg)
    (xt:add-event-handler interesting-widget
			  x:enter-window-mask
			  0
			  (lambda (widget event) (set-text! msg)))
    (xt:add-event-handler interesting-widget
			  x:leave-window-mask
			  0
			  (lambda (widget event) (set-text! default-string)))))