#!/usr/local/bin/perl
# extract constants from Xm/Xmt/CDE header files.
# $Id: extmotif.pl,v 1.1 1995/12/06 23:11:59 tomkwong Exp $

open(IN, $ARGV[0]) || die "Cannot open file.\n";
$pre="$ARGV[1]N";
$spre=$ARGV[2];

while (<IN>) {
    if (m/^#define\s+$pre/) {
	s/^#define\s+$pre([^ \t]*).*$/define $spre:n-$1 "$1"/;
	($one, $two, $three) = split;
	&transform;
	print "($one $two $three)\n";
    }
}
close(IN);

sub transform {
    for ($i = 0; $i < length($two); $i++) {
	$c = substr($two,$i,1);
	if ($c =~ /[A-Z]/) {
	    $_ = $c;
	    tr/[A-Z]/[a-z]/;
	    substr($two,$i,1) = "-$_";
	    $i++;
	}
    }
}
