;;; sbingo.scm -- Simple Bingo Demo

(require 'xmts)

(define main-hash #f)

(define callback			; when button is pressed...
  (let ((done #f))
    (lambda (widget)
      (cond (done (quit 0))
	    (else (xmt:display-message widget "Surprise"
				       xmt:information-message)
		  (xmts:label-set-string widget "go!")
		  (set! done #t))))))

(define (create-toplevel toplevel)	; create main window
  (let* ((alist '((btn . "Button"))))
    (set! main-hash (xmts:create-query-children-simple toplevel alist))
    (xmt:register-improved-icons toplevel)
    (xmts:add-activate (xmts:symbol->widget main-hash 'btn) callback)))

(xmts:run-app "bingo" create-toplevel)
